- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# MidiProgramName Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | thisProgramIndex
| 0 or greater: fill struct for this program index
char | name [kVstMaxNameLen]
| program name
char | midiProgram
| -1:off, 0-127
char | midiBankMsb
| -1:off, 0-127
char | midiBankLsb
| -1:off, 0-127
char | reserved
| zero
VstInt32 | parentCategoryIndex
| -1:no parent category
VstInt32 | flags
| omni etc.

## Detailed Description

MIDI Program Description.

## Member Data Documentation

VstInt32 MidiProgramName::flags

omni etc.

See also:
  VstMidiProgramNameFlags

char MidiProgramName::midiBankLsb

-1:off, 0-127

char MidiProgramName::midiBankMsb

-1:off, 0-127

char MidiProgramName::midiProgram

-1:off, 0-127

char MidiProgramName::name[kVstMaxNameLen]

program name

VstInt32 MidiProgramName::parentCategoryIndex

-1:no parent category

char MidiProgramName::reserved

zero

VstInt32 MidiProgramName::thisProgramIndex

0 or greater: fill struct for this program index

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.